# This file created by conda-build 3.19.2
# meta.yaml template originally from:
# /opt/recipe, last modified Sun Aug 23 02:06:30 2020
# ------------------------------------------------

package:
    name: seqyclean
    version: 1.10.09
source:
    patches:
        - 0001-Replace-explicit-g++-and-gcc.patch
    sha256: 9fd357f677c37711ca11ebd645c5d6f49c87be087c8f512924d475e8a11029df
    url: https://github.com/ibest/seqyclean/archive/1.10.09.tar.gz
build:
    number: '1'
    string: h8b12597_1
requirements:
    build:
        - _libgcc_mutex 0.1 conda_forge
        - _openmp_mutex 4.5 1_gnu
        - binutils_impl_linux-64 2.34 h2122c62_9
        - binutils_linux-64 2.34 h47ac705_27
        - gcc_impl_linux-64 7.5.0 hda68d29_13
        - gcc_linux-64 7.5.0 hf34d7eb_27
        - gxx_impl_linux-64 7.5.0 h64c220c_13
        - gxx_linux-64 7.5.0 ha781d05_27
        - kernel-headers_linux-64 2.6.32 h77966d4_13
        - ld_impl_linux-64 2.34 hc38a660_9
        - libgcc-ng 9.3.0 h24d8f2e_16
        - libgomp 9.3.0 h24d8f2e_16
        - libstdcxx-ng 9.3.0 hdf63c60_16
        - sysroot_linux-64 2.12 h77966d4_13
    host:
        - _libgcc_mutex 0.1 conda_forge
        - _openmp_mutex 4.5 1_gnu
        - libgcc-ng 9.3.0 h24d8f2e_16
        - libgomp 9.3.0 h24d8f2e_16
        - libstdcxx-ng 9.3.0 hdf63c60_16
        - zlib 1.2.11 h516909a_1007
    run:
        - libgcc-ng >=7.5.0
        - libstdcxx-ng >=7.5.0
        - zlib >=1.2.11,<1.3.0a0
        - zlib >=1.2.11,<1.3.0a0
test:
    commands:
        - seqyclean -h 2>&1 | grep seqyclean
about:
    home: https://github.com/ibest/seqyclean
    license: MIT
    license_family: MIT
    license_file: LICENSE
    summary: Main purpose of this software is to pre-process NGS data in order to
        prepare for downstream analysis.
extra:
    copy_test_source_files: true
    final: true
